%define major		2
%define api		0.8
%define gmajor		0.8
%define libname		%mklibname gee %{api} %{major}
%define gi_name		%mklibname gee-gir %{gmajor}
%define libnamedev	%mklibname -d gee

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libgee
Summary:	GObject-based collection library
Version:	0.20.3
Release:	%mkrel 2
License: 	LGPLv2+
Group:		System/Libraries
Source0: 	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL: 		https://wiki.gnome.org/Libgee
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gobject-2.0) >= 2.32
BuildRequires:	gobject-introspection-devel >= 0.9.0
BuildRequires:	vala

%description
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{libname}
Summary:	Collection library providing GObject-based interfaces and classes 
Group:		System/Libraries

%description -n	%{libname}
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{gi_name}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{gi_name}
GObject Introspection interface library for %{name}.

%package -n	%{libnamedev}
Summary:	Libraries and include files for developing with libgee
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{gi_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gee0.8-devel < 0.7.1-3

%description -n	%{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS NEWS README
%{_libdir}/libgee-%{api}.so.%{major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gee-%{gmajor}.typelib

%files -n %{libnamedev}
%doc ChangeLog
%{_libdir}/libgee-%{api}.so
%{_libdir}/pkgconfig/gee-%{api}.pc
%{_includedir}/gee-%{api}
%{_datadir}/vala/vapi/gee-%{api}.vapi
%{_datadir}/gir-1.0/Gee-%{gmajor}.gir


%changelog
* Fri Feb 21 2020 umeabot <umeabot> 0.20.3-2.mga8
+ Revision: 1547776
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 ovitters <ovitters> 0.20.3-1.mga8
+ Revision: 1488276
- new version 0.20.3
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 05 2019 ovitters <ovitters> 0.20.2-1.mga8
+ Revision: 1427368
- new version 0.20.2

* Sun Sep 23 2018 umeabot <umeabot> 0.20.1-2.mga7
+ Revision: 1298864
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sun Feb 11 2018 ovitters <ovitters> 0.20.1-1.mga7
+ Revision: 1200549
- new version 0.20.1

* Tue Mar 21 2017 ovitters <ovitters> 0.20.0-1.mga6
+ Revision: 1093970
- new version 0.20.0

* Wed Oct 12 2016 ovitters <ovitters> 0.18.1-1.mga6
+ Revision: 1060476
- new version 0.18.1

* Thu Feb 11 2016 umeabot <umeabot> 0.18.0-3.mga6
+ Revision: 955464
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 0.18.0-2.mga6
+ Revision: 847390
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 0.18.0-1.mga6
+ Revision: 837949
- new version 0.18.0

* Wed Oct 15 2014 umeabot <umeabot> 0.16.1-2.mga5
+ Revision: 738921
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 0.16.1-1.mga5
+ Revision: 738732
- new version 0.16.1

* Tue Sep 23 2014 ovitters <ovitters> 0.16.0-1.mga5
+ Revision: 721228
- new version 0.16.0

* Tue Sep 16 2014 umeabot <umeabot> 0.15.92-3.mga5
+ Revision: 686707
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 0.15.92-1.mga5
+ Revision: 676973
- new version 0.15.92

* Wed Aug 20 2014 ovitters <ovitters> 0.15.90-1.mga5
+ Revision: 665822
- new version 0.15.90

* Mon Jun 23 2014 ovitters <ovitters> 0.15.3-1.mga5
+ Revision: 639064
- new version 0.15.3

* Mon Mar 24 2014 ovitters <ovitters> 0.14.0-1.mga5
+ Revision: 608043
- new version 0.14.0

* Mon Mar 03 2014 ovitters <ovitters> 0.13.91-1.mga5
+ Revision: 598900
- new version 0.13.91

* Tue Feb 18 2014 ovitters <ovitters> 0.13.90-1.mga5
+ Revision: 594075
- new version 0.13.90

* Tue Feb 11 2014 ovitters <ovitters> 0.13.5.1-1.mga5
+ Revision: 589217
- new version 0.13.5.1

* Wed Feb 05 2014 ovitters <ovitters> 0.13.5-1.mga5
+ Revision: 582841
- new version 0.13.5

* Sat Nov 09 2013 ovitters <ovitters> 0.12.0-3.mga4
+ Revision: 550182
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.12.0-2.mga4
+ Revision: 536504
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 0.12.0-1.mga4
+ Revision: 484543
- new version 0.12.0

* Mon Sep 16 2013 ovitters <ovitters> 0.11.92-1.mga4
+ Revision: 480371
- new version 0.11.92

* Mon Sep 02 2013 ovitters <ovitters> 0.11.91-1.mga4
+ Revision: 474508
- new version 0.11.91

* Mon Aug 19 2013 ovitters <ovitters> 0.11.90-1.mga4
+ Revision: 467719
- new version 0.11.90

* Tue Jul 30 2013 ovitters <ovitters> 0.11.5-1.mga4
+ Revision: 460725
- new version 0.11.5

* Sun Jul 28 2013 dams <dams> 0.11.4-1.mga4
+ Revision: 459326
- new version 0.11.4

* Fri Jul 12 2013 ovitters <ovitters> 0.10.2-1.mga4
+ Revision: 453553
- new version 0.10.2

* Fri Apr 19 2013 fwang <fwang> 0.10.1-1.mga3
+ Revision: 410479
- new version 0.10.1
+ ovitters <ovitters>
- new version 0.9.91

* Sat Jan 12 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 357197
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 mitya <mitya> 0.9.0-1.mga3
+ Revision: 326074
- New version 0.9.0

* Sun Nov 11 2012 mitya <mitya> 0.8.2-1.mga3
+ Revision: 317053
- New version 0.8.2

* Sun Oct 14 2012 ovitters <ovitters> 0.8.1-1.mga3
+ Revision: 305546
- new version 0.8.1

* Tue Sep 25 2012 ovitters <ovitters> 0.8.0-1.mga3
+ Revision: 297338
- new version 0.8.0

* Tue Aug 28 2012 fwang <fwang> 0.7.90-1.mga3
+ Revision: 284865
- bump libmajor
+ ovitters <ovitters>
- new version 0.7.90

* Thu Aug 23 2012 ovitters <ovitters> 0.7.4.1-1.mga3
+ Revision: 283216
- new version 0.7.4.1

* Tue Aug 21 2012 ovitters <ovitters> 0.7.4-1.mga3
+ Revision: 282803
- new version 0.7.4

* Mon Aug 06 2012 ovitters <ovitters> 0.7.3-1.mga3
+ Revision: 279172
- new version 0.7.3

* Sun Jan 22 2012 wally <wally> 0.7.2-1.mga2
+ Revision: 199709
- new version 0.7.2

* Fri Jan 13 2012 wally <wally> 0.7.1-3.mga2
+ Revision: 195713
- rename devel pkg

* Fri Jan 13 2012 wally <wally> 0.7.1-2.mga2
+ Revision: 195705
- rename source pkg back to libgee
- clean .spec a bit

* Sat Oct 29 2011 wally <wally> 0.7.1-1.mga2
+ Revision: 159632
- new version 0.7.1
- new major and api
- rename pkg

* Wed Sep 14 2011 fwang <fwang> 0.6.2.1-1.mga2
+ Revision: 143426
- new version 0.6.2.1

* Wed Sep 14 2011 fwang <fwang> 0.6.2-1.mga2
+ Revision: 143383
- new version 0.6.2

* Sat Jul 09 2011 cjw <cjw> 0.6.1-2.mga2
+ Revision: 121238
- put gobject introspection typelib in a separate subpackage
- rebuild for automatic typelib provides and deps

* Sat Apr 16 2011 pterjan <pterjan> 0.6.1-1.mga1
+ Revision: 86674
- Update to 0.6.1
- Drop ldconfig scriptlets

* Sun Jan 23 2011 pterjan <pterjan> 0.6.0-1.mga1
+ Revision: 35530
- imported package libgee


* Mon Sep 27 2010 Funda Wang <fwang@mandriva.org> 0.6.0-1mdv2011.0
+ Revision: 581174
- update to new version 0.6.0

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 578924
- update to new version 0.5.3

* Mon Aug 02 2010 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2011.0
+ Revision: 565039
- new version
- add introspection typelib

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2011.0
+ Revision: 563399
- rebuild for new gobject-introspection

* Tue Jul 13 2010 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 552023
- update to new version 0.5.1

* Thu Oct 01 2009 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 452040
- new version
- new major

* Mon Sep 28 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2010.0
+ Revision: 450618
- update to new version 0.4.0

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2010.0
+ Revision: 410205
- new version
- new major

* Fri Jul 31 2009 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 405036
- new version
- add introspection support

* Mon Jul 20 2009 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2010.0
+ Revision: 398066
- update to new version 0.1.6

* Sat Feb 21 2009 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2009.1
+ Revision: 343664
- update to new version 0.1.5

* Wed Dec 03 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.4-1mdv2009.1
+ Revision: 309707
- import libgee


